Subject: Re: bug#55814: [PATCH] Updated python-flake8 and inputs to reenable build.
From: Maxim Cournoyer <[email-masked]>
To: Christopher Rodriguez <[email-masked]>
Cc: [email-masked]
Date: Tue, 07 Jun 2022 09:22:34 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Christopher,

Christopher Rodriguez <[email-masked]> writes:

> ---
>
> Hey all,
>
> I noticed today that `python-flake8` was failing to build, as one of its inputs
> (`python-pyflakes`) had been bumped too high for the older version's `check`
> phase. Tried to take the initiative and threw together this patch; It builds in
> my local tree, and had been linted/styled/tested/etc. I believe I have done
> everything by the book, but if I need to fix anything, let me know (I'm still
> new to contributing)!

Hehe, it seems at least 3 people noticed and tried fixing the problem,
which is nice!

python-pycodestyle ended up being updated by Petr Hodina in 2660f99b57
and python-flake8 to 4.0.1 in 5022cf8e04 by myself.  I've tested the
dependent packages (those reported by 'guix refresh --list
python-pycodestyle python-flake8' could still build, fixing a few
failing ones).

So I believe we've got that flake8 situation covered :-).

Thank you!

Closing.

Maxim